---
title: llarp::quic::tunnel

---

# llarp::quic::tunnel



## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr std::byte | **[CONNECT_INIT](Namespaces/namespacellarp_1_1quic_1_1tunnel.md#variable-connect-init)**  |
| constexpr uint64_t | **[ERROR_CONNECT](Namespaces/namespacellarp_1_1quic_1_1tunnel.md#variable-error-connect)**  |
| constexpr uint64_t | **[ERROR_BAD_INIT](Namespaces/namespacellarp_1_1quic_1_1tunnel.md#variable-error-bad-init)**  |
| constexpr uint64_t | **[ERROR_TCP](Namespaces/namespacellarp_1_1quic_1_1tunnel.md#variable-error-tcp)**  |
| constexpr size_t | **[PAUSE_SIZE](Namespaces/namespacellarp_1_1quic_1_1tunnel.md#variable-pause-size)**  |



## Attributes Documentation

### variable CONNECT_INIT

```cpp
constexpr std::byte CONNECT_INIT {0x00};
```


### variable ERROR_CONNECT

```cpp
constexpr uint64_t ERROR_CONNECT {0x5471907};
```


### variable ERROR_BAD_INIT

```cpp
constexpr uint64_t ERROR_BAD_INIT {0x5471908};
```


### variable ERROR_TCP

```cpp
constexpr uint64_t ERROR_TCP {0x5471909};
```


### variable PAUSE_SIZE

```cpp
constexpr size_t PAUSE_SIZE = 64 * 1024;
```





-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000